List all assets
curl --request GET \
--url https://api.lynkwell.com/asset-management/v1/assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/asset-management/v1/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/asset-management/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hasMore": true,
"items": [
{
"id": "<string>",
"type": "chargingStation",
"network": {
"id": "<string>"
},
"sitePartners": [
{
"id": "<string>"
}
],
"assetGroup": {
"id": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"chargingStation": {
"serialNumber": "<string>",
"name": "<string>",
"rate": "<string>",
"status": "PLANNED",
"connectors": [
{
"id": 123,
"isActive": true,
"connectionType": "CHADEMO",
"format": "CABLE",
"maxAmperage": 1,
"maxVoltage": 1,
"updatedAt": "2023-11-07T05:31:56Z",
"status": "Available",
"rawStatus": "<string>"
}
],
"localAuthorization": true,
"geoLocation": {
"longitude": 0,
"latitude": 0
},
"powerType": "AC_1_PHASE",
"protocol": "OCPP_1_6",
"images": [
{
"url": "<string>",
"category": "<string>",
"imgType": "<string>",
"thumbnail": "<string>"
}
],
"manufacturingInfo": {
"chargePointVendor": "<string>",
"chargePointModel": "<string>",
"chargePointSerialNumber": "<string>",
"chargeBoxSerialNumber": "<string>",
"firwareVersion": "<string>",
"imsi": "<string>",
"meterType": "<string>",
"meterSerialNumber": "<string>"
},
"sortOrder": 123,
"directionHint": "<string>",
"simInfo": {
"iccid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fleet": "<string>"
},
"supportsSimultaneousCharging": true,
"accessibleParkingForTrailers": true,
"paymentTerminal": {
"id": "<string>",
"serialNumber": "<string>",
"provider": "PAYTER",
"integrationType": "CLOUD",
"authorizationIdTag": "<string>",
"preAuthAmount": 123,
"status": "PENDING",
"errorCode": "<string>",
"operatingSiteHostId": "<string>"
},
"shortCode": "<string>"
},
"latestHealthcheck": {
"timestamp": "<string>"
},
"assetLifecycles": {
"timestamp": "<string>",
"eventType": "CONNECTED"
}
}
]
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Assets
List all assets
This endpoint retrieves a list of all assets available to the authenticated user.
GET
/
asset-management
/
v1
/
assets
List all assets
Authorizations
OAuth2 Client Credentials Flow
Query Parameters
The maximum number of assets to return (default 20, maximum 100)
Pattern:
^[0-9][0-9]?$|^100$The ID of the last asset in the previous page of results. Results will start after this asset
The make of the charging station to filter the results
The model of the charging station to filter the results
The firmware version of the charging station to filter the results
A comma-separated list of asset group IDs to filter the results
When 'true', archived (deleted) stations are included. Defaults to excluding them.
Available options:
true, false Response
A list of assets
Show child attributes
Show child attributes